summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap')
-rw-r--r--source/ap/man-db/doinst.sh2
-rwxr-xr-xsource/ap/man-db/man-db.SlackBuild10
-rw-r--r--source/ap/man-db/man-db.csh5
-rw-r--r--source/ap/man-db/man-db.sh5
-rwxr-xr-xsource/ap/powertop/powertop.SlackBuild6
5 files changed, 24 insertions, 4 deletions
diff --git a/source/ap/man-db/doinst.sh b/source/ap/man-db/doinst.sh
index ed31b561b..1c12bc804 100644
--- a/source/ap/man-db/doinst.sh
+++ b/source/ap/man-db/doinst.sh
@@ -12,6 +12,8 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
config etc/man_db.conf.new
+config etc/profile.d/man-db.csh.new
+config etc/profile.d/man-db.sh.new
# Slackware change: commenting the stuff below out. We're not going to
# generate a database during a package installation... especially since
diff --git a/source/ap/man-db/man-db.SlackBuild b/source/ap/man-db/man-db.SlackBuild
index 4d8d4bf1f..7a5e24dd5 100755
--- a/source/ap/man-db/man-db.SlackBuild
+++ b/source/ap/man-db/man-db.SlackBuild
@@ -8,7 +8,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=man-db
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
MAN2HTML=${MAN2HTML:-20180101}
@@ -232,6 +232,14 @@ mkdir -p $PKG/var/cache/man
mkdir -p $PKG/etc/cron.daily
install -m0755 -oroot -groot $CWD/$PKGNAM.cron $PKG/etc/cron.daily/$PKGNAM
+# Choose a pager (defaults to 'most'):
+mkdir -p $PKG/etc/profile.d
+cp -a $CWD/man-db.sh $CWD/man-db.csh $PKG/etc/profile.d
+chown root:root $PKG/etc/profile.d/*
+chmod 755 $PKG/etc/profile.d/*
+mv $PKG/etc/profile.d/man-db.csh $PKG/etc/profile.d/man-db.csh.new
+mv $PKG/etc/profile.d/man-db.sh $PKG/etc/profile.d/man-db.sh.new
+
# modified default config, customized for Slackware. See the conf file for
# list of changes.
cat $CWD/man_db.conf.new \
diff --git a/source/ap/man-db/man-db.csh b/source/ap/man-db/man-db.csh
new file mode 100644
index 000000000..1759e2375
--- /dev/null
+++ b/source/ap/man-db/man-db.csh
@@ -0,0 +1,5 @@
+#!/bin/csh
+# Choose a default for the system's manual pager:
+#setenv MANPAGER less
+#setenv MANPAGER more
+setenv MANPAGER most
diff --git a/source/ap/man-db/man-db.sh b/source/ap/man-db/man-db.sh
new file mode 100644
index 000000000..d3d9f0d08
--- /dev/null
+++ b/source/ap/man-db/man-db.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Choose a default for the system's manual pager:
+#export MANPAGER=less
+#export MANPAGER=more
+export MANPAGER=most
diff --git a/source/ap/powertop/powertop.SlackBuild b/source/ap/powertop/powertop.SlackBuild
index 3fc2904cf..94c636408 100755
--- a/source/ap/powertop/powertop.SlackBuild
+++ b/source/ap/powertop/powertop.SlackBuild
@@ -28,7 +28,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=powertop
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev | tr -d 'v')}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -72,8 +72,8 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
+tar xvf $CWD/${PKGNAM}-v$VERSION.tar.?z || tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-v$VERSION || ${PKGNAM}-v$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .